/// <reference types="bn.js" />
import { BN } from "@project-serum/anchor";
import { PublicKey } from "@solana/web3.js";
import { TransactionBuilder } from "@orca-so/common-sdk";
import { EscrowContext, PDA } from "../";
import { OfferDataInfo } from "../types";
export declare class OfferClient {
    ctx: EscrowContext;
    data: OfferDataInfo;
    publicKey: PublicKey;
    pda: PDA;
    configId: string;
    constructor(ctx: EscrowContext, publicKey: PublicKey, data: OfferDataInfo, pda: PDA, configId: string);
    static getOffer(ctx: EscrowContext, configId: string, offerId: BN): Promise<OfferClient>;
    static makeOffer(ctx: EscrowContext, configId: string, side: object, maker: PublicKey, tokenMint: PublicKey, bondType: object, minTradeSize: BN, tokenAmount: BN, fiatAmount: BN, encryptedBankName: string | null, encryptedAccountNumber: string | null, encryptedAccountName: string | null, nonce: string | null): Promise<{
        tx: TransactionBuilder;
        id: BN;
    }>;
    static makeOfferV1(ctx: EscrowContext, configId: string, side: object, maker: PublicKey, tokenMint: PublicKey, bondType: object, minTradeSize: BN, tokenAmount: BN, fiatAmount: BN, oracleProduct: PublicKey, oraclePrice: PublicKey, encryptedBankName: string | null, encryptedAccountNumber: string | null, encryptedAccountName: string | null, nonce: string | null): Promise<{
        tx: TransactionBuilder;
        id: BN;
    }>;
    static pocMakeOffer(ctx: EscrowContext, configId: string, side: object, maker: PublicKey, tokenMint: PublicKey, bondType: object, minTradeSize: BN, tokenAmount: BN, fiatAmount: BN, encryptedBankName: string | null, encryptedAccountNumber: string | null, encryptedAccountName: string | null, nonce: string | null): Promise<{
        tx: TransactionBuilder;
        id: BN;
    }>;
    cancelOffer(): Promise<{
        tx: TransactionBuilder;
    }>;
    requestCreateTrade(user: PublicKey, tokenAmount: BN, useBondless: boolean): Promise<{
        tx: TransactionBuilder;
        id: BN;
    }>;
}
