/// <reference types="node" />
import { EscrowConfigData, TradeData, OfferData, KycCertData, ArbitratorCert, TokenInfoData } from "../types";
/**
 * Static abstract class definition to parse entities.
 * @category Parsables
 */
export interface ParsableEntity<T> {
    /**
     * Parse account data
     *
     * @param accountData Buffer data for the entity
     * @returns Parsed entity
     */
    parse: (accountData: Buffer | undefined | null) => T | null;
}
export declare class ParsableEscrowConfig {
    private constructor();
    static parse(data: Buffer | undefined | null): EscrowConfigData | null;
}
export declare class ParsableTrade {
    private constructor();
    static parse(data: Buffer | undefined | null): TradeData | null;
}
export declare class ParsableOffer {
    private constructor();
    static parse(data: Buffer | undefined | null): OfferData | null;
}
export declare class ParsableKycCert {
    private constructor();
    static parse(data: Buffer | undefined | null): KycCertData | null;
}
export declare class ParsableTokenInfo {
    private constructor();
    static parse(data: Buffer | undefined | null): TokenInfoData | null;
}
export declare class ParsableArbitratorCert {
    private constructor();
    static parse(data: Buffer | undefined | null): ArbitratorCert | null;
}
