import { Instruction } from "@orca-so/common-sdk";
import { AccountMeta, PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type CancelTradeParams = {
    escrowConfig: PublicKey;
    kycCert: PublicKey;
    offer: PublicKey;
    trade: PublicKey;
    treasuryAuthority: PublicKey;
    treasuryTokenAccount: PublicKey;
    taker: PublicKey;
    takerTokenAccount: PublicKey;
    offerTokenVault: PublicKey;
    offerNativeVault: PublicKey;
    tradeTokenVault: PublicKey;
    tradeNativeVault: PublicKey;
    configRentVault: PublicKey;
    remainingAccounts: AccountMeta[];
};
export declare function cancelTrade(program: Program<Escrow>, params: CancelTradeParams): Promise<Instruction>;
