/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey, AccountMeta } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
import { PDAInfo } from "../pda";
export type MakeOfferParams = {
    escrowConfig: PublicKey;
    configRentVault: PublicKey;
    side: object;
    bondType: object;
    offerPDA: PDAInfo;
    tokenMint: PublicKey;
    tokenInfo: PublicKey;
    userTokenAccount: PublicKey;
    offerTokenVaultPDA: PDAInfo;
    offerNativeVaultPDA: PDAInfo;
    user: PublicKey;
    minTradeSize: BN;
    tokenAmount: BN;
    fiatAmount: BN;
    remainingAccounts: AccountMeta[];
    encryptedBankName: string | null;
    encryptedAccountNumber: string | null;
    encryptedAccountName: string | null;
    nonce: string | null;
};
export declare function makeOffer(program: Program<Escrow>, params: MakeOfferParams): Promise<Instruction>;
