/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey, AccountMeta } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type MatchingEngineParams = {
    escrowConfig: PublicKey;
    configRentVault: PublicKey;
    user: PublicKey;
    kycCert: PublicKey;
    tokenMint: PublicKey;
    tokenInfo: PublicKey;
    userTokenAccount: PublicKey;
    numOffers: number;
    totalTradeAmount: BN;
    tradeAmounts: BN[];
    tradeIds: BN[];
    bumps: number[];
    remainingAccounts: AccountMeta[];
};
export declare function matchAndCreateTrade(program: Program<Escrow>, params: MatchingEngineParams): Promise<Instruction>;
