/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
import { PDAInfo } from "../pda";
export type RequestCreateTradeParams = {
    escrowConfig: PublicKey;
    configRentVault: PublicKey;
    offer: PublicKey;
    tradePDA: PDAInfo;
    tokenMint: PublicKey;
    tokenInfo: PublicKey;
    kycCert: PublicKey;
    user: PublicKey;
    userTokenAccount: PublicKey;
    offerTokenVaultPDA: PDAInfo;
    offerNativeVaultPDA: PDAInfo;
    tradeTokenVaultPDA: PDAInfo;
    tradeNativeVaultPDA: PDAInfo;
    tokenAmount: BN;
    useBondless: boolean;
};
export declare function requestCreateTrade(program: Program<Escrow>, params: RequestCreateTradeParams): Promise<Instruction>;
