import { Instruction } from "@orca-so/common-sdk";
import { AccountMeta, PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type ResolveDisputeParams = {
    escrowConfig: PublicKey;
    kycCert: PublicKey;
    offer: PublicKey;
    trade: PublicKey;
    arbitratorAuthority: PublicKey;
    treasuryAuthority: PublicKey;
    treasuryTokenAccount: PublicKey;
    arbitartorCert: PublicKey;
    arbitratorTokenAccount: PublicKey;
    seller: PublicKey;
    sellerTokenAccount: PublicKey;
    buyer: PublicKey;
    buyerTokenAccount: PublicKey;
    tokenVault: PublicKey;
    nativeVault: PublicKey;
    configRentVault: PublicKey;
    disputeAction: object;
    compensationAction: object;
    remainingAccounts: AccountMeta[];
};
export declare function resolveDispute(program: Program<Escrow>, params: ResolveDisputeParams): Promise<Instruction>;
