import { TransactionBuilder, Instruction } from "@orca-so/common-sdk";
import { EscrowContext } from "./context";
import * as ixs from "./instructions";
export declare class EscrowIx {
    ctx: EscrowContext;
    ix: Instruction | null | undefined;
    constructor(ctx: EscrowContext, ix?: Instruction);
    initializeConfigIx(params: ixs.InitializeConfigParams): Promise<this>;
    setTradeConfigAuthorityIx(params: ixs.SetTradeConfigAuthorityParams): Promise<this>;
    setAmlPolicyAuthorityIx(params: ixs.SetAmlPolicyAuthorityParams): Promise<this>;
    addArbitratorCertIx(params: ixs.AddArbitratorCertParams): Promise<this>;
    addTokenIx(params: ixs.AddTokenParams): Promise<this>;
    addTokenV1Ix(params: ixs.AddTokenV1Params): Promise<this>;
    removeTokenIx(params: ixs.RemoveTokenParams): Promise<this>;
    setRenecRateIx(params: ixs.SetRenecRateParams): Promise<this>;
    setUsdRateIx(params: ixs.SetUsdRateParams): Promise<this>;
    setMinimumOfferAmount(params: ixs.SetMinimumOfferAmount): Promise<this>;
    updateConfigIx(params: ixs.UpdateConfigParams): Promise<this>;
    removeArbitratorCertIx(params: ixs.RemoveArbitratorCertParams): Promise<this>;
    initKycCertIx(params: ixs.InitKycCertParams): Promise<this>;
    setKycCertIx(params: ixs.SetKycCertParams): Promise<this>;
    withdrawConfigRentVaultFundIx(params: ixs.WithdrawConfigRentVaultFundParams): Promise<this>;
    makeOfferIx(params: ixs.MakeOfferParams): Promise<this>;
    makeOfferV1Ix(params: ixs.MakeOfferV1Params): Promise<this>;
    requestCreateTradeIx(params: ixs.RequestCreateTradeParams): Promise<this>;
    cancelOfferIx(params: ixs.CancelOfferParams): Promise<this>;
    cancelTradeIx(params: ixs.CancelTradeParams): Promise<this>;
    callArbitrator(params: ixs.CallArbitratorParams): Promise<this>;
    releaseIx(params: ixs.ReleaseParams): Promise<this>;
    resolveDispute(params: ixs.ResolveDisputeParams): Promise<this>;
    savePaymentEvidence(params: ixs.SavePaymentEvidence): Promise<this>;
    matchAndCreateTrade(params: ixs.MatchingEngineParams): Promise<this>;
    initializeMarket(params: ixs.InitializeMarketParams): Promise<this>;
    pocMakeOffer(params: ixs.PocMakeOfferParams): Promise<this>;
    pocMatching(params: ixs.PocMatchingParams): Promise<this>;
    pocRelease(params: ixs.PocReleaseParams): Promise<this>;
    toTx(): TransactionBuilder;
}
