import * as anchor from "@project-serum/anchor";
export interface PDAInfo {
    key: anchor.web3.PublicKey;
    bump: number;
}
export declare class PDA {
    readonly programId: anchor.web3.PublicKey;
    readonly configId: string;
    constructor(programId: anchor.web3.PublicKey, configId: string);
    getConfigPDA: () => PDAInfo;
    getConfigRentVaultPDA: () => PDAInfo;
    getOfferPDA: (offerID: anchor.BN) => PDAInfo;
    getTradePDA: (tradeID: anchor.BN) => PDAInfo;
    getOfferTokenVaultPDA: (offerID: anchor.BN) => PDAInfo;
    getOfferNativeVaultPDA: (offerID: anchor.BN) => PDAInfo;
    getTradeTokenVaultPDA: (tradeID: anchor.BN) => PDAInfo;
    getTradeNativeVaultPDA: (tradeID: anchor.BN) => PDAInfo;
    getArbitratorCertPDA: (arbitratorAuthority: anchor.web3.PublicKey) => PDAInfo;
    getKycCertPDA: (tokenMint: anchor.web3.PublicKey, user: anchor.web3.PublicKey) => PDAInfo;
    getEvidencePDA: (user: anchor.web3.PublicKey, trade: anchor.web3.PublicKey) => PDAInfo;
    getMarketPDA: (tokenMint: anchor.web3.PublicKey) => PDAInfo;
    getMarketTokenVaultPDA: (market: anchor.web3.PublicKey) => PDAInfo;
    getMarketNativeVaultPDA: (market: anchor.web3.PublicKey) => PDAInfo;
    getPocOfferPDA: (currentOfferId: anchor.BN, market: anchor.web3.PublicKey) => PDAInfo;
    getPocTradePDA: (tradeID: anchor.BN, market: anchor.web3.PublicKey) => PDAInfo;
    getTokenInfoPDA: (tokenMint: anchor.web3.PublicKey) => PDAInfo;
    getTokenInfoV1PDA: (tokenMint: anchor.web3.PublicKey) => PDAInfo;
}
